# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::WaveletTransform::VHFilterDD13_5 Class Reference

An extension of DD9_3, with a better low-pass filter but more computation.

Inheritance diagram for dirac::WaveletTransform::VHFilterDD13_5:

[legend]
Collaboration diagram for dirac::WaveletTransform::VHFilterDD13_5:

[legend]

List of all members.

## Public Member Functions

- void Split (const int xp, const int yp, const int xl, const int yl, PicArray &pic_data)
    Split a subband into 4.
- void Synth (const int xp, const int yp, const int xl, const int yl, PicArray &pic_data)
    Create a single band from 4 quadrant bands.
- double GetLowFactor () const
    Return a correction factor to compensate for non-unity power gain of low-pass filter.
- double GetHighFactor () const
    Return a correction factor to compensate for non-unity power gain of high-pass filter.
- int GetShift () const
    Return the value of the additional bitshift.

## Member Function Documentation

void dirac::WaveletTransform::VHFilterDD13_5::Split | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | PicArray & | pic_data |
| ) |  |  | `[virtual]`

Implements dirac::WaveletTransform::VHFilter.

void dirac::WaveletTransform::VHFilterDD13_5::Synth | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | PicArray & | pic_data |
| ) |  |  | `[virtual]`

Implements dirac::WaveletTransform::VHFilter.

double dirac::WaveletTransform::VHFilterDD13_5::GetLowFactor | ( |  | ) | const`[inline, virtual]`

Implements dirac::WaveletTransform::VHFilter.

double dirac::WaveletTransform::VHFilterDD13_5::GetHighFactor | ( |  | ) | const`[inline, virtual]`

Implements dirac::WaveletTransform::VHFilter.

int dirac::WaveletTransform::VHFilterDD13_5::GetShift | ( |  | ) | const`[inline, virtual]`

Implements dirac::WaveletTransform::VHFilter.

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.